# Class StreamingVttParserError

#### Hierarchy

- StreamingBaseError
  - StreamingVttParserError

#####
Index

### Constructors

constructor

### Properties

category
code
error

## Constructors

### constructor

- new StreamingVttParserError(error): StreamingVttParserError

- #### Parameters

  - error: Error

  #### Returns StreamingVttParserError

  Inherited from StreamingBaseError.constructor

## Properties

### `Readonly` category

category: Streaming = ErrorCategory.Streaming

Inherited from StreamingBaseError.category

### `Readonly` code

code: StreamingVttParserError = ErrorCode.StreamingVttParserError

Overrides StreamingBaseError.code

### `Readonly` error

error: Error

Inherited from StreamingBaseError.error